<?php
$title = 'Регистрация';
require_once('Sys/head.php');
if($set['powerRegistration'] == 0)
	{
		echo '<div class="l1 margin">';
		echo '<div class="info"> Регистрация закрыта на неопределенное время.</div><br/>';
		echo '</div>';
		require_once ('Sys/foot.php');
		exit;
	}
echo '<div class="block margin">Регистрация</div>';
if(isset($_POST['ok']))
	{
		$login = filter($_POST['login']);
		$mail = filter($_POST['mail']);
		$pass = filter($_POST['password']);
		$pass1 = filter($_POST['password1']);
		$kod = filter($_POST['kod']);
		$error = '';
		if(empty($login) or empty($mail) or empty($pass) or empty($pass1) or empty($kod))
			{
				$error .= '<div class="error"> Все поля обязательны к заполнению.</div><br/>';
			}
		if($pass != $pass1)
			{
				$error .= '<div class="error"> Пароли не совпадают.</div><br/>';
			}
		if($_SESSION['kod']!=$kod)
			{
				$error .= '<div class="error"> Код с картинки введён не верно.</div><br/>';
			}
		if ($mysqli->query("SELECT `id` FROM `".$prefix."users` WHERE `login` = '".$login."' LIMIT 1")->num_rows != 0)
			{
				$error .= '<div class="error"> Логин уже зарегистрирован. Выберите другой.</div><br/>';
			}
		if (!preg_match('|^[A-Za-z0-9\-_]+$|i',$login))
			{
				$error .= '<div class="error">В логине можно использовать только латиницу и цифры.</div><br/>';
			}
		if (!empty($mail) and !preg_match('#^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+(\.([A-Za-z0-9])+)+$#', $mail))
			{
				$error .= '<div class="error">Вы ввели неверный адрес e-mail, необходим формат name@site.domen </div><br/>';
			}
		if (!empty($mail) and ($mysqli->query("SELECT `id` FROM `".$prefix."users` WHERE `mail` = '".$mail."' LIMIT 1")->num_rows != 0))
			{
				$error .= '<div class="error"> Пользователь с данным e-mail уже зарегистрирован.</div><br/>';
			}
		if(mb_strlen($login) > 30 OR mb_strlen($login) < 5)
			{
				$error .= '<div class="error"> Поле "Логин" должно быть не меньше 5 и не больше 30 символов.</div><br/>';
			}
		if(mb_strlen($pass) > 30 OR mb_strlen($pass) < 5)
			{
				$error .= '<div class="error"> Поле "Пароль" должно быть не меньше 5 и не больше 30 символов.</div><br/>';
			}

		if(!empty($error))
			{
				echo '<div class="li">';
				echo '<div class="warning">В результате заполнения полей , выявились ошибки:<br/>';
				echo $error;
				echo '<a href="http://'.$_SERVER['HTTP_HOST'].'/m/registration"><button class="uk-button">Назад</button></a><br/>';
				echo '</div></div>';
			}
		else
			{
				$subject = "Read".$_SERVER['HTTP_HOST'];
				$body = "Вы зapeгиcтриpoвaлись в ТОП-Рейтинге сайтов ".$_SERVER['HTTP_HOST'].".\nВaши дaнные:\n";
				$body .= "Логин: ".$login."\nПароль: ".$pass."\nПочта : ".$mail."\n";
				$body .= "Не теряйте свои данные.\n";
				$body .= "С Уважением администрация LIVENETA.RU\n";
				$headers = "From: ".$set['mail']." \n";
				$headers .= "Content-Type: text/plain; charset=utf-8\n";
				mail($mail, $subject, $body, $headers);
				unset($_SESSION['code']);
				$mysqli->query("INSERT INTO `".$prefix."users` SET `login` = '".$login."', `password` = '".md5($pass)."', `mail` = '".$mail."', `pageNews` = '".$set['pageNews']."', `pageNewsc` = '".$set['pageNewsc']."', `pageSait` = '".$set['pageSait']."', `pagePlatforms` = '".$set['pagePlatforms']."', `pageTop` = '".$set['pageTop']."', `pages` = '".$set['pages']."', `level` = '1', `timeReg` = '".$time."', `style` = '".$set['style']."', `platformsCount` = '0'");
				echo '<div class="success">Регистрация прошла успешно.</div><br/>';
				echo '<a href="http://'.$_SERVER['HTTP_HOST'].'/m/authentication"><button class="uk-button">Вход</button></a></div>';
			}
	}
else
	{
		echo '<div class="l1 margin">';
		echo'
		<form action="" method="post">
		Логин: [max.30 min.5]:<br/>
		<input name="login" type="text" class="form" value="" /><br/>
		Пароль [max.30 min.5]:<br/>
		<input name="password" type="password" class="form" value="" /><br/>
		Повторите пароль:<br/>
		<input name="password1" type="password" class="form" value="" /><br/>
		E-mail:<br/>
		<input name="mail" type="text" class="form" value="" /><br/>
		Код с картинки: <br/><img src="http://'.$_SERVER['HTTP_HOST'].'/captcha_'.rand(123456789,99999999).'" alt="Включите картинки" /><br/>
		<input name="kod" type="text" class="form" value="" /><br/>		
		<input name="ok" type="submit" class="uk-button" value="Регистрация" /></form>
		';
		echo '<small>Все поля ОБЯЗАТЕЛЬНЫ к заполнению.</small><br/>';
		echo '<small>Регистрируясь, вы соглашаетесь с <a href="http://'.$_SERVER['HTTP_HOST'].'/m/rules">ПРАВИЛАМИ</a> рейтинга. Пожалуйста  обязательно прочитайте. </small>';
		echo '</div>';
	}
?>